Skip to main content
GET
/
v2
/
persons
/
{personId}
/
list-entries
Get a Person's List Entries
curl --request GET \
  --url https://api.affinity.co/v2/persons/{personId}/list-entries \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 1,
      "listId": 1,
      "createdAt": "2023-01-01T00:00:00Z",
      "creatorId": 1,
      "fields": [
        {
          "id": "affinity-data-location",
          "name": "Location",
          "type": "enriched",
          "enrichmentSource": "affinity-data",
          "value": {
            "type": "company-multi",
            "data": [
              {
                "id": 1,
                "name": "Horizon Technologies",
                "domain": "horizontech.com"
              },
              {
                "id": 2,
                "name": "Crestwood Capital",
                "domain": "crestwoodcap.com"
              }
            ]
          }
        }
      ]
    }
  ],
  "pagination": {
    "prevUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgYmVmb3JlOjo6Nw",
    "nextUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgIGFmdGVyOjo6NA"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.affinity.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

personId
integer<int64>
required

Persons ID

Required range: 1 <= x <= 9007199254740991

Query Parameters

cursor
string

Cursor for the next or previous page

Example:

"ICAgICAgYmVmb3JlOjo6Nw"

limit
integer<int32>
default:100

Number of items to include in the page

Required range: 1 <= x <= 100
Example:

100

Response

OK

ListEntryPaged model

data
ListEntry · object[]
required

A page of ListEntry results

Maximum array length: 100
pagination
Pagination · object
required